Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class SpanUI

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.SpanUI

public class SpanUI
extends Behavior

Create a instance of `Span` describe by hub attributes and move to extent of current selection. See fields starting with `ATTR_PARENT` for hub attributes available.

Version:
  $Revision: 1.2 $ $Date: 2002/02/01 05:26:27 $
See Also:
  `SemanticUI`, `WindowUI`

Field Summary
`static java.lang.String` | `ATTR_ATTRS` Hub attribute that gives the new Span's additional attributes.
`static java.lang.String` | `ATTR_CATEGORY` Hub attribute that sets category group within menu.
`static java.lang.String` | `ATTR_CREATEDAT` Newly created attribute that records creation time, as given by `System.currentTimeMillis()`.
`static java.lang.String` | `ATTR_EDIT` Hub attribute that, if present, immediately invokes editing by user to set other attributes.
`static java.lang.String` | `ATTR_LOGICAL` Hub attribute that gives new Span's logical name.
`static java.lang.String` | `ATTR_PARENT` Hub attribute that gives menu (`createWidget/parent`).
`static java.lang.String` | `ATTR_SPANNAME` Hub attribute that gives new Span's Java class name (which must be a Span).
`static java.lang.String` | `ATTR_TITLE` Hub attribute that gives text to show in menu.
`static java.lang.String` | `MSG_CREATE` Create a instance of `Span` describe by hub attributes and move to extent of current selection.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`SpanUI()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` On "createSpan", create span.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_CREATE

    public static final java.lang.String MSG_CREATE

  Create a instance of `Span` describe by hub attributes and move to extent of current selection.

  `"createSpan"`: `arg=` `SpanUI` this.

  See Also:
    Constant Field Values

### ATTR_PARENT

    public static final java.lang.String ATTR_PARENT

  Hub attribute that gives menu (`createWidget/parent`).

  See Also:
    Constant Field Values

### ATTR_TITLE

    public static final java.lang.String ATTR_TITLE

  Hub attribute that gives text to show in menu.

  See Also:
    Constant Field Values

### ATTR_CATEGORY

    public static final java.lang.String ATTR_CATEGORY

  Hub attribute that sets category group within menu.

  See Also:
    Constant Field Values

### ATTR_LOGICAL

    public static final java.lang.String ATTR_LOGICAL

  Hub attribute that gives new Span's logical name.

  See Also:
    Constant Field Values

### ATTR_SPANNAME

    public static final java.lang.String ATTR_SPANNAME

  Hub attribute that gives new Span's Java class name (which must be a Span).

  See Also:
    Constant Field Values

### ATTR_ATTRS

    public static final java.lang.String ATTR_ATTRS

  Hub attribute that gives the new Span's additional attributes.

  See Also:
    Constant Field Values

### ATTR_EDIT

    public static final java.lang.String ATTR_EDIT

  Hub attribute that, if present, immediately invokes editing by user to set other attributes.

  See Also:
    Constant Field Values

### ATTR_CREATEDAT

    public static final java.lang.String ATTR_CREATEDAT

  Newly created attribute that records creation time, as given by `System.currentTimeMillis()`.

  See Also:
    Constant Field Values

Constructor Detail

### SpanUI

    public SpanUI()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  On "createSpan", create span.

  Overrides:
    `semanticEventAfter` in class `Behavior`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD